summaryrefslogtreecommitdiff
path: root/dev-util/valgrind
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2016-05-01 20:52:11 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2016-05-01 20:52:11 +0300
commitd433dfffdb56696ac4fa18cf153995731a340c5d (patch)
tree03432575a9a73a6b36f66a8206338521d57135b5 /dev-util/valgrind
parente6dcb9f80997ef83a4dfa17dbae75844d7a76ab3 (diff)
added valgrind-scm from flameeyes-overlay (a bit edited)
Diffstat (limited to 'dev-util/valgrind')
-rw-r--r--dev-util/valgrind/valgrind-scm.ebuild83
1 files changed, 83 insertions, 0 deletions
diff --git a/dev-util/valgrind/valgrind-scm.ebuild b/dev-util/valgrind/valgrind-scm.ebuild
new file mode 100644
index 0000000..381ba6f
--- /dev/null
+++ b/dev-util/valgrind/valgrind-scm.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/valgrind/valgrind-3.6.0.ebuild,v 1.1 2010/11/10 01:40:41 blueness Exp $
+
+EAPI=2
+inherit autotools eutils flag-o-matic toolchain-funcs multilib pax-utils subversion
+
+DESCRIPTION="An open-source memory debugger for GNU/Linux"
+HOMEPAGE="http://www.valgrind.org"
+ESVN_REPO_URI="svn://svn.valgrind.org/valgrind/trunk"
+ESVN_PROJECT="valgrind"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="mpi"
+
+DEPEND="mpi? ( virtual/mpi )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # Respect CFLAGS, LDFLAGS
+ sed -i -e '/^CPPFLAGS =/d' -e '/^CFLAGS =/d' -e '/^LDFLAGS =/d' \
+ mpi/Makefile.am || die
+
+ # Changing Makefile.all.am to disable SSP
+ sed -i -e 's:^AM_CFLAGS_BASE = :AM_CFLAGS_BASE = -fno-stack-protector :' \
+ Makefile.all.am || die
+
+ # Correct hard coded doc location
+ sed -i -e "s:doc/valgrind:doc/${PF}:" \
+ docs/Makefile.am || die
+
+
+
+ # Regenerate autotools files
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+
+ # -fomit-frame-pointer "Assembler messages: Error: junk `8' after expression"
+ # while compiling insn_sse.c in none/tests/x86
+ # -fpie valgrind seemingly hangs when built with pie on
+ # amd64 (bug #102157)
+ # -fstack-protector more undefined references to __guard and __stack_smash_handler
+ # because valgrind doesn't link to glibc (bug #114347)
+ # -ggdb3 segmentation fault on startup
+ filter-flags -fomit-frame-pointer
+ filter-flags -fpie
+ filter-flags -fstack-protector
+ replace-flags -ggdb3 -ggdb2
+
+ if use amd64 || use ppc64; then
+ ! has_multilib_profile && myconf="${myconf} --enable-only64bit"
+ fi
+
+ # Don't use mpicc unless the user asked for it (bug #258832)
+ if ! use mpi; then
+ myconf="${myconf} --without-mpicc"
+ fi
+
+ econf ${myconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc AUTHORS FAQ.txt NEWS README*
+
+ pax-mark m "${D}"/usr/$(get_libdir)/valgrind/*-*-linux
+}
+
+pkg_postinst() {
+ if use ppc || use ppc64 || use amd64 ; then
+ ewarn "Valgrind will not work on ppc, ppc64 or amd64 if glibc does not have"
+ ewarn "debug symbols (see https://bugs.gentoo.org/show_bug.cgi?id=214065"
+ ewarn "and http://bugs.gentoo.org/show_bug.cgi?id=274771)."
+ ewarn "To fix this you can add splitdebug to FEATURES in make.conf and"
+ ewarn "remerge glibc."
+ fi
+}